/*------------------------------------------------------------------------------
Hebrew Calendar is a simple program which show the hebrew dates and holydays
of the gregorian calendar

Copyright (C) 2005  Asaf Shachar <asafsh1@users.sourceforge.net> 

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
------------------------------------------------------------------------------*/

#ifndef _HEBMONTH
#define _HEBMONTH


struct Hebmonth {
  int gmday;
  int gmonth;
  int gyear;
  int absolutedate;
  int numofdays;  
  int firstdow;
  int leapyear;
  int month;
  int year;
  int julianday;
//  int nextmonth;
//  int hebmonthlastday; 
//  int monthdays[32];
//  int monthyear[32];
  
} ;


void hebmonth_init (Hebmonth *hm, int d, int m, int y);
void heb_date (Hebmonth *hm, char *buf);
void heb_day (Hebmonth *hm, int n, char *buf);
void heb_monthyear (Hebmonth *hm, char *buf);
void heb_year (Hebmonth *hm, char *buf);
int heb_hag (Hebmonth *hm, int ad, char *buf);
int heb_hag_short (Hebmonth *hm, int n, char *buf);
void heb_alef (int n, char *buf);

#endif
