 /*------------------------------------------------------------------------------
Hebrew Calendar is a simple program which show the hebrew dates and holydays
of the gregorian calendar

Copyright (C) 2005  Asaf Shachar <asafsh1@users.sourceforge.net>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

------------------------------------------------------------------------------*/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gtk/gtk.h>
#include "utils.h"
#include "interfaces.h"

#include "gtklocale.h"


int main( int   argc,
          char *argv[] )
{

  setlocale(LC_ALL,"");
  textdomain (PACKAGE);
  bindtextdomain (PACKAGE, LOCALE_DIR);
  bind_textdomain_codeset(PACKAGE, "UTF-8");

  if (!check_install_local ()) 
    g_print ("no local file installed, continue anyway.../n"); 

  gtk_init (&argc, &argv);

  create_main_window ();

  gtk_main ();

  return 0;

}






